Đến nội dung


Hình ảnh
- - - - -

[Hỏi ngu] Lisp thay phím


  • Please log in to reply
5 replies to this topic

#1 SoftvnBin

SoftvnBin

    biết vẽ ellipse

  • Advance Member
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 26 June 2012 - 08:07 AM

Nhờ các bro thay dòng lệnh WSpecify next point or [Arc/Halfwidth/Length/Undo/Width]: w bằng 1 lisp (tức là khi đánh lệnh PL và pick vào 1 điểm thì nó tự hiểu là mình đã chọn W chỉ cần nhập 35 -> enter -> 35
F2 nó dư lày ạ:

Command: pl PLINE
Specify start point:
Current line-width is 35
Specify next point or [Arc/Halfwidth/Length/Undo/Width]: w
Specify starting width <35>: 35

Specify ending width <35>: 35

Cảm ơn các bro trước ạ!!!
  • 0

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 26 June 2012 - 08:41 AM

Nhờ các bro thay dòng lệnh WSpecify next point or [Arc/Halfwidth/Length/Undo/Width]: w bằng 1 lisp (tức là khi đánh lệnh PL và pick vào 1 điểm thì nó tự hiểu là mình đã chọn W chỉ cần nhập 35 -> enter -> 35
F2 nó dư lày ạ:

Command: pl PLINE
Specify start point:
Current line-width is 35
Specify next point or [Arc/Halfwidth/Length/Undo/Width]: w
Specify starting width <35>: 35

Specify ending width <35>: 35

Cảm ơn các bro trước ạ!!!

Có 1 số tùy chọn ở đây
Specify next point or [Arc/Halfwidth/Length/Undo/Width]: w
Không nên làm vậy bạn à. Mất 1 số tùy chọn rồi

Nếu ko thích làm như trên, bạn có thể làm vầy :
Set biến plinewid bằng 35 chẳng hạn

Command: plinewid
Enter new value for PLINEWID <0.0000>: 35
Sau đó vẽ Pline thì độ rộng của nó là 35
  • 1

#3 hochoaivandot

hochoaivandot

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 107 (tàm tạm)

Đã gửi 26 June 2012 - 08:56 AM

Nhờ các bro thay dòng lệnh WSpecify next point or [Arc/Halfwidth/Length/Undo/Width]: w bằng 1 lisp (tức là khi đánh lệnh PL và pick vào 1 điểm thì nó tự hiểu là mình đã chọn W chỉ cần nhập 35 -> enter -> 35
F2 nó dư lày ạ:

Command: pl PLINE
Specify start point:
Current line-width is 35
Specify next point or [Arc/Halfwidth/Length/Undo/Width]: w
Specify starting width <35>: 35

Specify ending width <35>: 35

Cảm ơn các bro trước ạ!!!

 
(defun C:plw() (command "pline" pause "W" pause "" ))

  • 1

Dương Bá Diệp

 

www.cadonline.duyxuyen.vn 

 

Thành viên nhóm CADMAGIC

 


#4 SoftvnBin

SoftvnBin

    biết vẽ ellipse

  • Advance Member
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 26 June 2012 - 08:56 AM

Có 1 số tùy chọn ở đây
Specify next point or [Arc/Halfwidth/Length/Undo/Width]: w
Không nên làm vậy bạn à. Mất 1 số tùy chọn rồi

Nếu ko thích làm như trên, bạn có thể làm vầy :
Set biến plinewid bằng 35 chẳng hạn

Command: plinewid
Enter new value for PLINEWID <0.0000>: 35
Sau đó vẽ Pline thì độ rộng của nó là 35


Cảm ơn TueNV, biết là mất một số tùy chọn nhưng mình vẫn muốn như thế,giúp mình nhé!!!
  • 0

#5 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 26 June 2012 - 09:00 AM


Cảm ơn TueNV, biết là mất một số tùy chọn nhưng mình vẫn muốn như thế,giúp mình nhé!!!

Đây bạn :

(defun c:plw()
(setvar "plinewid" (getint "\nNhap do rong :"))
(command "pline")
)

  • 1

#6 SoftvnBin

SoftvnBin

    biết vẽ ellipse

  • Advance Member
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 26 June 2012 - 09:33 AM

Vấn đề đã được giải quyết, cảm ơn các bác
  • 0